package com.backfire.doudizhu.common;

import java.text.DecimalFormat;

/**   
 * @Title: Number.java
 * @Description: TODO(用一句话描述该文件做什么)
 * @author Potter
 * @date 2013年10月21日 下午4:14:30
 * @version V2.0   
 */
public class PNumber {
	
	 public static int[] getNumEachPost(int valuse){
		String sv=Integer.toString(valuse);
    	int lengt=sv.length();
    	char[] c=sv.toCharArray();
    	int[] result=new int[lengt];
    	for(int i=0;i<lengt;i++){
    		result[i]=Integer.parseInt(c[i]+"");
    	}
    	return result;
    }
	 
	public static String changeFloatAccuracy(float num,int accuracyCnt){
		String accuracy="0.0";
		for(int i=0;i<accuracyCnt-1;i++){
			accuracy+="0";
		}
		DecimalFormat df = new DecimalFormat(accuracy);
		String result=df.format(num);
		return result;
	}
}
